Reinforcement UShapeRebar/it: Difference between revisions

From FreeCAD Documentation
mNo edit summary
(Updating to match new version of source page)
Line 49: Line 49:
* Restituisce il nuovo oggetto Rebar.
* Restituisce il nuovo oggetto Rebar.


<div class="mw-translate-fuzzy">
Esempio:
Esempio:
Creare una armatura a U (UShape).
Creare una armatura a U (UShape).
Line 58: Line 59:
rebar = UShapeRebar.makeUShapeRebar(20, 20, 20, 20, 8, 20, 4, True, 10, "Bottom", structure, "Face1")
rebar = UShapeRebar.makeUShapeRebar(20, 20, 20, 20, 8, 20, 4, True, 10, "Bottom", structure, "Face1")
}}
}}
</div>

{{Code|code=
import Arch, UShapeRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = UShapeRebar.makeUShapeRebar(20, 20, 20, 20, 8, 20, 4, True, 10, "Bottom", structure, "Face1")
}}
<div class="mw-translate-fuzzy">
Cambiare le proprietà di una armatura UShape.
Cambiare le proprietà di una armatura UShape.
{{Code|code=
import UShapeRebar
UShapeRebar.editUShapeRebar(rebar, 25, 25, 25, 25, 16, 25, 2, True, 15, "Top")
}}
</div>
{{Code|code=
{{Code|code=
import UShapeRebar
import UShapeRebar

Revision as of 11:02, 20 May 2018

Armatura a U

Posizione nel menu
Arch → Strumenti armatura
Ambienti
Arch
Avvio veloce
None
Vedere anche
Armatura, Armatura dritta, Armatura a L, Armatura sagomata, Staffe armatura, Armatura elicoidale
 
Questo comando fa parte del Addon Reinforcement, che è possibile installare tramite il menu Strumenti → Addons Manager

Descrizione

Lo strumento Armatura a U consente all'utente di creare una barra di rinforzo piegata a U (due ganci) nell'elemento strutturale.

Utilizzo

  1. Creare un elemento Struttura
  2. Selezionare una qualsiasi faccia della struttura
  3. Selezionare Armatura a U dagli strumenti Armatura
  4. Sul lato sinistro dello schermo appare un pannello delle azioni come il seguente
  5. Selezionare l'orientamento desiderato
  6. Fornire i dati per front cover, right side cover, left side cover, bottom cover, top cover, rounding factor and diameter of the rebar
  7. Selezionare la modalità di distribuzione per la quantità e per la spaziatura
  8. Se la spaziatura è selezionata, l'utente può anche optare per una spaziatura personalizzata
  9. Cliccare sulla faccia selezionata serve per verificare o modificare la faccia per la distribuzione dell'armatura
  10. Cliccare OK o Apply per generare l'armatura
  11. Cliccare Cancel per uscire dal pannello delle azioni

Proprietà

  • DatiOrientation: Decide l'orientamento dell'armatura (es. verso il basso, verso l'alto, a destra o a sinistra).
  • DatiFront Cover: La distanza tra l'armatura e la faccia selezionata. Copriferro anteriore
  • DatiRight Cover: La distanza tra l'estremità destra della barra di destra e la faccia destra della struttura. Copriferro destro
  • DatiLeft Cover: La distanza tra l'estremità sinistra della barra di sinistra e la faccia sinistra della struttura. Copriferro sinistro
  • DatiBottom Cover: La distanza tra l'armatura e la parte inferiore della struttura. Copriferro inferiore
  • DatiTop Cover: La distanza tra l'armatura e la parte superiore della struttura. Copriferro superiore
  • DatiRounding: Il raggio di curvatura da applicare agli angoli delle barre, espresso quantità di diametro delle barre.
  • DatiAmount: La quantità di barre.
  • DatiSpacing: La distanza tra gli assi di ogni barra.

Script

Lo strumento Armatura a U può essere usato nelle macro e dalla console python utilizzando la seguente funzione:

makeUShapeRebar(FrontCover, BottomCover, RightCover, LeftCover, Diameter, Topcover, Rounding, AmountSpacingCheck, AmountSpacingValue, Orientation, Structure, Facename)
  • L'armatura UShape ha quattro diversi orientamenti:
    • Bottom
    • Top
    • Right
    • Left
  • Aggiunge un oggetto armatura UShape all'oggetto strutturale specificato.
  • Se Structure e Facename non sono fornite, prende come input la faccia selezionata dall'utente.
  • Restituisce il nuovo oggetto Rebar.

Esempio: Creare una armatura a U (UShape).

import Arch, UShapeRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = UShapeRebar.makeUShapeRebar(20, 20, 20, 20, 8, 20, 4, True, 10, "Bottom", structure, "Face1")
import Arch, UShapeRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = UShapeRebar.makeUShapeRebar(20, 20, 20, 20, 8, 20, 4, True, 10, "Bottom", structure, "Face1")

Cambiare le proprietà di una armatura UShape.

import UShapeRebar
UShapeRebar.editUShapeRebar(rebar, 25, 25, 25, 25, 16, 25, 2, True, 15, "Top")
import UShapeRebar
UShapeRebar.editUShapeRebar(rebar, 25, 25, 25, 25, 16, 25, 2, True, 15, "Top")